camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sergey Beryozkin <sberyoz...@gmail.com>
Subject Re: Java6 compilation problem in Camel core
Date Thu, 17 Apr 2014 10:43:45 GMT
Hi, you are right, it was an old Java6 related bug

Cheers, Sergey
On 17/04/14 10:58, Babak Vahdat wrote:
>
>
> Am 17.04.14 11:30 schrieb "Sergey Beryozkin" unter <sberyozkin@gmail.com>:
>
>> Hi,
>> I'm not sure Camel still supports Java 6, just in case, I'm seeing the
>> following in camel-core when compiling with Java 6:
>
> Hi
>
> This's a know bug in older builds of JDK6 Sun/Oracle:
>
> http://bugs.java.com/view%5Fbug.do?bug%5Fid=6512707
>
> I could not reproduce this on OS-X using 1.6.0_32 (which is also a old
> build as well but still newer than the build 24)
>
> Could you maybe try with a newer JDK 6 build of your OS?
>
> Babak
>
>
>
>
>>
>> [ERROR]
>> /camel-core/src/main/java/org/apache/camel/language/XPath.java:[45,5]
>> incompatible types
>> [ERROR] found   : org.apache.camel.language.NamespacePrefix
>> [ERROR] required: org.apache.camel.language.NamespacePrefix
>>
>> The message is strange, no problems with Java 7 though
>>
>> Cheers, Sergey
>
>


Mime
View raw message